%define name	python-docutils
%define version 0.4

Name: 	 	%{name}
Summary: 	Python Documentation Utilities
Version: 	%{version}
Release: 	%mkrel 4

Source:		docutils-%{version}.tar.bz2
URL:		http://docutils.sourceforge.net/
License:	BSD
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
BuildArch:	noarch
Requires:	python      

%description
The purpose of the Docutils project is to create a set of tools for processing
plaintext documentation into useful formats, such as HTML, XML, and TeX.
Several sources will be supported:
    * Standalone files (implemented).
    * Inline documentation from Python modules and packages, extracted with
      namespace context.
    * PEPs (Python Enhancement Proposals) (implemented).
    * And others as discovered.

%prep
%setup -q -n docutils-%version

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT
for file in $RPM_BUILD_ROOT/%_bindir/*.py; do
  mv $file $RPM_BUILD_ROOT/%_bindir/`basename $file .py`
done
# force installation of roman.py
install -D -m 0644 extras/roman.py $RPM_BUILD_ROOT/%py_puresitedir/roman.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt docs tools
%py_puresitedir/docutils
%py_puresitedir/roman*
%py_puresitedir/*.egg-info
%_bindir/*




%changelog
* Sun May 27 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.4-4mdv2008.0
+ Revision: 31678
- added requires to python, as it uses pprint

* Fri May 25 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.4-3mdv2008.0
+ Revision: 31138
- removed .py suffix of files installed in %%_bindir, as it's done
  by other distros
- force the installation of roman.py


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4-2mdv2007.0
+ Revision: 96084
- Fix File section
- Rebuild for new python
- Import python-docutils

* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 0.4-1mdk
- New release 0.4

* Thu Jan 12 2006 Michael Scherer <misc@mandriva.org> 0.3.9-2mdk
- Use new python macro
- use mkrel

* Wed Nov 23 2005 Austin Acton <austin@mandriva.org> 0.3.9-1mdk
- 0.3.9

* Mon Mar 14 2005 Michael Scherer <misc@mandrake.org> 0.3.7-1mdk
- New release 0.3.7
- noarch

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.3-2mdk
- Rebuild for new python

